{
  "schema_version": "1.4.0",
  "id": "GHSA-w2pv-vxm3-7jr4",
  "modified": "2022-05-02T03:33:40Z",
  "published": "2022-05-02T03:33:40Z",
  "aliases": [
    "CVE-2009-2295"
  ],
  "details": "Multiple integer overflows in CamlImages 2.2 and earlier might allow context-dependent attackers to execute arbitrary code via a crafted PNG image with large width and height values that trigger a heap-based buffer overflow in the (1) read_png_file or (2) read_png_file_as_rgb24 function.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2295"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35819"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1832"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2009-009.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/504696/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35556"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1874"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-07-05T16:30:00Z"
  }
}